package edu.nyu.cs9053.concurrency.monitor;

import edu.nyu.cs9053.concurrency.Concurrent;

import java.util.Random;

/**
 * User: blangel
 * Date: 11/9/14
 * Time: 4:00 PM
 */
public class PreMonitorExample {

    public static void main(String[] args) throws Exception {
        Random random = new Random();
        UnprotectedElevator elevator = new UnprotectedElevator(5);
        Concurrent.startElevator(elevator, new ProducerLogic(random), new ConsumerLogic(random));
    }

}
